classification
Title: Finish deprecating load_module()
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: berker.peksag, brett.cannon, eric.snow, ncoghlan, python-dev
Priority: normal Keywords: patch

Created on 2015-12-05 00:07 by brett.cannon, last changed 2016-01-08 22:33 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
issue25802.diff brett.cannon, 2015-12-30 20:20 review
Messages (7)
msg255905 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-12-05 00:07
There are a couple concrete implementations of load_module() in importlib that have not been explicitly deprecated that probably should be. As part of this I will finally add an Examples section to the importlib docs to show how to do common tasks such as load a source file.
msg257159 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-29 01:55
New changeset ab0e60a36368 by Brett Cannon in branch 'default':
Issue #25802: Deprecate load_module() on importlib.machinery.SourceFileLoader and SourcelessFileLoader.
https://hg.python.org/cpython/rev/ab0e60a36368
msg257160 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-12-29 01:57
I'm leaving this issue open until I add an Examples section to the importlib docs. I will use the imp module as a guide of what to document.
msg257239 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-12-30 20:20
Here is my attempt at adding an Examples section to the importlib docs. I cover importlib.util.find_spec(), importlib.import_module(), how to import a module by file path, and give an approximate import implementation for illustrative purposes.
msg257568 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-06 00:10
issue25802.diff looks good to me (just added a minor comment on Rietveld)
msg257780 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-08 22:33
New changeset d733b6275e17 by Brett Cannon in branch 'default':
Issue #25802: Add an examples section to importlib.
https://hg.python.org/cpython/rev/d733b6275e17
msg257781 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-01-08 22:33
Thanks for the review, Berker! I managed to figure out how to get the Examples links to work so that made it into the final version.
History
Date User Action Args
2016-01-08 22:33:48brett.cannonsetstatus: open -> closed

messages: + msg257781
2016-01-08 22:33:18python-devsetmessages: + msg257780
2016-01-06 00:10:26berker.peksagsetnosy: + berker.peksag
messages: + msg257568
2015-12-30 20:20:57brett.cannonsetfiles: + issue25802.diff
keywords: + patch
messages: + msg257239
2015-12-29 01:57:22brett.cannonsetresolution: fixed
messages: + msg257160
stage: test needed -> resolved
2015-12-29 01:55:36python-devsetnosy: + python-dev
messages: + msg257159
2015-12-05 00:07:43brett.cannoncreate